Replace a registered office address resource. If filing with the Insolvency scope “company_number” must be provided in the request body.
PUT https://api.company-information.service.gov.uk/transactions/{transaction_id}/registered-office-address
| Parameter name |
Value |
Description |
Additional |
| transaction_id |
string |
transaction id
|
Required |
The request body takes a complete
registeredOfficeAddressChange resource, containing the following writable properties:
{
"accept_appropriate_office_address_statement": "boolean",
"address_line_1": "string",
"address_line_2": "string",
"country": "string",
"locality": "string",
"postal_code": "string",
"premises": "string",
"reference_etag": "string",
"region": "string"
}
| Name |
Type |
Description |
Additional |
|
accept_appropriate_office_address_statement
|
boolean |
Setting this to true confirms that the new registered office address is an appropriate address as outlined in section 86(2) of the Companies Act 2006.
|
|
|
address_line_1
|
string |
The first line of the address.
|
|
|
address_line_2
|
string |
The second line of the address.
|
Optional
|
|
country
|
string |
The country.
Possible values are:
England
Wales
Scotland
Northern Ireland
Great Britain
United Kingdom
Not specified
|
|
|
locality
|
string |
The locality e.g London.
|
|
|
postal_code
|
string |
The postal code e.g CF14 3UZ.
|
|
|
premises
|
string |
The property name or number.
|
|
|
reference_etag
|
string |
The latest etag read from the current ROA API resource (/company/{company_number}/registered-office-address) on the public register. If this reference etag does not match the current register the request will be rejected.
|
|
|
region
|
string |
The region e.g Surrey.
|
Optional
|
This request requires the use of one of following authorisation methods:
OAuth2.
For OAuth 2 authorisation, the following scopes are required:
| Scope |
Description |
| https://api.company-information.service.gov.uk/company/{company_number}/registered-office-address.update |
Company ROA filing permission |
| https://identity.company-information.service.gov.uk/user/profile.read |
User profile read permission |
The following HTTP status codes may be returned, optionally with a response resource.
| Status code |
Description |
Resource |
| 200 |
OK Registered office address resource updated
|
registeredOfficeAddressChange |
| 401 |
Unauthorized Not authorised to update this transaction
|
|
| 403 |
Forbidden Registered office address resource cannot be updated as it's containing transaction has been closed
|
|
| 404 |
Not Found Transaction not found
|
|